summaryrefslogtreecommitdiffstats
path: root/conversions/kde-tde/convert_kde3_icon_names_to_xdg_standards
diff options
context:
space:
mode:
Diffstat (limited to 'conversions/kde-tde/convert_kde3_icon_names_to_xdg_standards')
-rwxr-xr-xconversions/kde-tde/convert_kde3_icon_names_to_xdg_standards20
1 files changed, 20 insertions, 0 deletions
diff --git a/conversions/kde-tde/convert_kde3_icon_names_to_xdg_standards b/conversions/kde-tde/convert_kde3_icon_names_to_xdg_standards
new file mode 100755
index 0000000..86000cd
--- /dev/null
+++ b/conversions/kde-tde/convert_kde3_icon_names_to_xdg_standards
@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# (c) 2014-2015 Timothy Pearson
+# All Rights Reserved
+#
+# WARNING
+# This script is not complete!
+# Hand editing will likely be required after running to ensure all icon names have been updated
+# See http://trinity.etherpad.trinitydesktop.org/60 for a mapping of old KDE3 names to modern XDG names
+
+THISSCRIPT=$(readlink -f $0)
+if [[ ! -e "$THISSCRIPT" ]]; then
+ echo "Unable to find myself! Exiting..."
+ exit 1
+fi
+SCRIPTPATH=`dirname $THISSCRIPT`
+
+$SCRIPTPATH/tde_mimetype_conversion
+$SCRIPTPATH/tde_action_conversion
+$SCRIPTPATH/tde_device_conversion \ No newline at end of file